Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rabbitmq.client
Class JDKSaslConfig

    java.lang.Object
      com.rabbitmq.client.JDKSaslConfig

All Implemented Interfaces:
  SaslConfig

    public class JDKSaslConfig

extends java.lang.Object
implements SaslConfig

Implementation of SaslConfig that uses the JDK SASL implementation. This is not the default since it does not work on Java 1.4, Android or IBM's JDK.

See Also:
  `ConnectionFactory`

Constructor Summary
`JDKSaslConfig(ConnectionFactory factory)` Create a JDKSaslConfig which only wants to use PLAIN.
`JDKSaslConfig(ConnectionFactory factory, java.lang.String[] mechanisms)` Create a JDKSaslConfig with a list of mechanisms to use.

Method Summary
`SaslMechanism` | `getSaslMechanism(java.lang.String[] serverMechanisms)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKSaslConfig

    public JDKSaslConfig(ConnectionFactory factory)

  Create a JDKSaslConfig which only wants to use PLAIN.

  Parameters:
    `factory` - - the ConnectionFactory to use to obtain username, password and host

### JDKSaslConfig

    public JDKSaslConfig(ConnectionFactory factory,
                         java.lang.String[] mechanisms)

  Create a JDKSaslConfig with a list of mechanisms to use.

  Parameters:
    `factory` - - the ConnectionFactory to use to obtain username, password and host
    `mechanisms` - - a list of SASL mechanisms to use (in descending order of preference)

Method Detail

### getSaslMechanism

    public SaslMechanism getSaslMechanism(java.lang.String[] serverMechanisms)

  Specified by:
    `getSaslMechanism` in interface `SaslConfig`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD